{% if history %}
<table summary="" class="campl-table-bordered campl-table-striped
    campl-table  campl-vertical-stacking-table">
  <thead>
    <tr><th>Date</th><th>action</th><th>property</th>
  </thead>
  <tbody>
    {% for hr in history %}
    <tr>
      <td>{{ hr.when | date:"c" }}</td>
      {% if hr.deleted %}
      <td style='background-color: pink'>delete</td>
      {% else %}
      <td style='background-color: lightgreen'>add</td>
      {% endif %}
      <td>{% include 'ucs_besplusplus/property_snippet.html' with property=hr %}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
{% else %}
<p>No history is available.</p>
{% endif %}
